Skip to content
Partner Developer Portal

Using the Partner API

The simplest form of integration involves a backend solution calling the Partner API on its own behalf. Upon onboarding, you will receive a client_id and client_secret, which are essential for the Client Credentials Flow. These credentials are used to obtain a short-lived access token, which must accompany subsequent API requests.

To obtain a token using the Client Credentials Flow you need to make a call to our OIDC/OAuth compliant Identity Provider (IdP). Please see Authentication.

With an access token obtained, you can now make a call to the Partner API. For example, to retrieve a medical record:

Terminal window
curl -X GET "https://XXXXXXX/api/medicalRecord/GetMedicalRecord?patientNumber=XXXXXXX" \
-H "ApplicationId: XXXXXXX" \
-H "Accept: application/json" \
-H "Authorization: Bearer eyJhbGciOiJSUzI1NiIs..."
ScopeDescriptionAPI Operations
papi-appt.writePartner API appointment write access. Provides the ability to create and manage appointments via the Partner API.BookAppointment, CancelAppointment, SetAppointmentStatus, SetAppointmentStatusEx, SetSlotType, SetSlotNotes, AddSlotComment
papi-appt.readPartner API appointment read access. Provides the ability to retrieve appointments via the Partner API.GetBookedPatients, GetArrivedPatients, GetSentInPatients, GetBookedPatientsV2, GetAppointmentConfiguration, GetAppointmentSessions, GetSlotsForSession, GetSlotsForSessionV2, GetPatientAppointments, GetPatientAppointmentsV2
papi-cr.writePartner API care record write access. Provides the ability to create and manage care records via the Partner API.FileRecord, UpdateConsultationVisibility, UpdateAttachment
papi-cr.readPartner API care record read access. Provides the ability to retrieve care records via the Partner API.GetMedicalRecord, GetCodedRecord, GetConsultation, GetEvents, GetMedicationIssues, GetAttachments, GetAttachmentsV2, GetBase64AttachmentData, GetBase64AttachmentDataV2
papi-subjects.readPartner API subject read access. Provides the ability to retrieve subjects via the Partner API.GetPatientDemographics, GetChangedPatients, GetChangedPatientsMR, GetMatchedPatients, GetPatientSequence
papi-config.readPartner API configuration read access. Provides the ability to retrieve configuration via the Partner API.GetOrganisation, GetOrganisationV2, GetUserById
papi-searches.readPartner API searches read access. Provides the ability to retrieve searches via the Partner API.GetPatientSearches